%define version 0.3.13
%define release 4mdk

%define lib_major 0
%define libname %mklibname hz %{lib_major}

Summary:	Chinese HZ/GB/BIG5 encodings auto-converter
Name:		zh-autoconvert
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
URL:		http://banyan.dlut.edu.cn/~ygh/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# http://people.debian.org/~ygh/
Source:		autoconvert-%{version}.tar.bz2
Patch0:		autoconvert-0.3.9-optflagsfix.patch.bz2
Patch1:		%{name}-0.3.13-gcc-3.3.patch.bz2

Obsoletes:	autoconvert
Provides:	autoconvert = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	locales-zh

%description
AutoConvert is an intelligent Chinese Encoding converter. It uses built-in
functions to judge the type of the input file's Chinese Encoding (such as
GB/Big5/HZ), then converts the input file to any type of Chinese Encoding
you want.  You can use autoconvert to automatically convert incoming e-mail
messages. It can also optionally handle the UNI/UTF7/UTF8 encoding.


%package	-n %{libname}
Summary:	Main libraries of %{name}
Group:		System/Libraries

%description	-n %{libname}
AutoConvert is an intelligent Chinese Encoding converter. It uses built-in
functions to judge the type of the input file's Chinese Encoding (such as
GB/Big5/HZ), then converts the input file to any type of Chinese Encoding
you want.  You can use autoconvert to automatically convert incoming e-mail
messages. It can also optionally handle the UNI/UTF7/UTF8 encoding.

%if 0
%package	-n xchat-autoconvert
Summary:	zh Auto-convert xchat plugins
Group:		Networking/IRC
Requires:	xchat
Obsoletes:	%{name}-xchat
Provides:	%{name}-xchat = %{version}-%{release}

%description	-n xchat-autoconvert
AutoConvert xchat plugins, for dynamically converting various Chinese
encoding text in xchat.
%endif


%package	-n %{libname}-devel
Summary:	Headers and development files of %{name}
Group:		Development/C
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhz-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description	-n %{libname}-devel
AutoConvert is an intelligent Chinese Encoding converter. It uses built-in
functions to judge the type of the input file's Chinese Encoding (such as
GB/Big5/HZ), then converts the input file to any type of Chinese Encoding
you want.  You can use autoconvert to automatically convert incoming e-mail
messages. It can also optionally handle the UNI/UTF7/UTF8 encoding.
    

%prep
%setup -q -n autoconvert-%{version}
%patch0 -p1 -b .optflagsfix
%patch1 -p0 -b .gcc3

rm -rf doc/CVS

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Wall"
make autogb

%install
rm -rf %{buildroot}

install -m 0755 -D autogb %{buildroot}%{_bindir}/autogb
ln -s autogb %{buildroot}%{_bindir}/autob5

mkdir -p %{buildroot}%{_includedir}
install -m 644 include/*.h  %{buildroot}%{_includedir}

mkdir -p %{buildroot}%{_libdir}
install -m 755 lib/libhz.so.0.0 %{buildroot}%{_libdir}
install -m 755 lib/libhz.a %{buildroot}%{_libdir}
ln -s libhz.so.0.0 %{buildroot}%{_libdir}/libhz.so.0
ln -s libhz.so.0 %{buildroot}%{_libdir}/libhz.so

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/ ChangeLog GPL LICENSE Readme TODO Thanks 
%doc procmailrc.example shed.* hz.txt contrib/*.pl
%{_bindir}/*

%if 0
%files -n xchat-autoconvert
%defattr(-,root,root)
%{_datadir}/zh-autoconvert/xchat-autob5.so
%{_datadir}/zh-autoconvert/xchat-autogb.so
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Sat Aug 23 2003 Abel Cheung <deaddog@deaddog.org> 0.3.13-4mdk
- split library
- mklibname
- macros
- Disable making xchat plugin, it's for old xchat
- rpmlint fixes

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.13-3mdk
- fix gcc-3.3 patch (P1)

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.13-2mdk
- rebuild
- fix build with gcc-3.3 (P1)

* Fri Sep 14 2001 Geoffrey Lee <snaitlalk@mandrakesoft.com> 0.3.13-1mdk
- 0.3.13.
- Requires locales-zh.

* Tue Jun 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.9-2mdk
- BuildRequires:	gtk+-devel

* Mon Mar 26 2001 Andrew Lee <andrew@linux.org.tw> 0.3.9-1mdk
- refine spec file to mandrake policy
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Obsoletes: autoconvert.
  - Use optflags.
  
* Wed Feb  7 2001 Andrew Lee <andrew@linux.org.tw>
- 0.3.9

* Tue Jan  9 2001 Andrew Lee <andrew@linux.org.tw>
- 0.3.8

* Sun Jan  7 2001 Andrew Lee <andrew@linux.org.tw>
- change package name to zh-autoconvert
- added a patch fixed unicode problem
- move xchat plugin to /usr/share/autoconvert

* Sat Jan  6 2001 Andrew Lee <andrew@linux.org.tw>
- update to 0.3.7
- added xchat plugins in package autoconvert-xchat

* Sat Nov 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for LM 7.2

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- Add English description .
- example files

* Tue Dec 28 1999 Andrew Lee <andrew@cle.linux.org.tw>
- First .spec
